Main Page Class Hierarchy Compound List File List Compound Members File Members

# putaway.h File Reference

Go to the source code of this file.

## Functions
int | PA_init (char *DataFormat, long TraceBufferLen, long *OutBufferLen, int *FormatInd, char *OutDir, char *OutputFormat, int debug)
int | PA_next_ev (char *EventID, TRACE_REQ *trace_req, int num_req, int FormatInd, char *OutDir, char *EventDate, char *EventTime, char *EventSubnet, int debug)
int | PA_next (TRACE_REQ *getThis, int FormatInd, double GapThresh, long OutBufferLen, int debug)
int | PA_end_ev (int, int)
int | PA_close (int, int)

## Function Documentation

int PA_close | ( | int | ,
|  | int |
| ) |

| Definition at line 433 of file putaway.c. References AH_FORMAT, AHPA_close(), EW_FAILURE, EW_SUCCESS, GSE_INT_FORMAT, GSEPA_close(), logit(), SAC_FORMAT, SACPA_close(), SEI_FORMAT, SEIPA_close(), SUDS_FORMAT, SUDSPA_close(), TANK_FORMAT, and TANKPA_close().

int PA_end_ev | ( | int | ,
|  | int |
| ) |

| Definition at line 367 of file putaway.c. References AH_FORMAT, AHPA_end_ev(), EW_FAILURE, EW_SUCCESS, GSE_INT_FORMAT, GSEPA_end_ev(), logit(), SAC_FORMAT, SACPA_end_ev(), SEI_FORMAT, SEIPA_end_ev(), SUDS_FORMAT, SUDSPA_end_ev(), TANK_FORMAT, and TANKPA_end_ev().

int PA_init | ( | char * | DataFormat,
|  | long | TraceBufferLen,
|  | long * | OutBufferLen,
|  | int * | FormatInd,
|  | char * | OutDir,
|  | char * | OutputFormat,
|  | int | debug
| ) |

| Definition at line 107 of file putaway.c. References AH_FORMAT, AHHEADSIZE, AHPA_init(), EW_FAILURE, EW_SUCCESS, GSE_INT_FORMAT, GSEPA_init(), logit(), SAC_FORMAT, SACHEADERSIZE, SACPA_init(), SEI_FORMAT, SEIPA_init(), SUDS_FORMAT, SUDSPA_init(), TANK_FORMAT, and TANKPA_init().

int PA_next | ( | TRACE_REQ * | getThis,
|  | int | FormatInd,
|  | double | GapThresh,
|  | long | OutBufferLen,
|  | int | debug
| ) |

| Definition at line 291 of file putaway.c. References AH_FORMAT, AHPA_next(), EW_FAILURE, EW_SUCCESS, GSE_INT_FORMAT, GSEPA_next(), logit(), SAC_FORMAT, SACPA_next(), SEI_FORMAT, SEIPA_next(), SUDS_FORMAT, SUDSPA_next(), TANK_FORMAT, and TANKPA_next().

int PA_next_ev | ( | char * | EventID,
|  | TRACE_REQ * | trace_req,
|  | int | num_req,
|  | int | FormatInd,
|  | char * | OutDir,
|  | char * | EventDate,
|  | char * | EventTime,
|  | char * | EventSubnet,
|  | int | debug
| ) |

| Definition at line 203 of file putaway.c. References AH_FORMAT, AHPA_next_ev(), EW_FAILURE, EW_SUCCESS, GSE_INT_FORMAT, GSEPA_next_ev(), logit(), SAC_FORMAT, SACPA_next_ev(), SEI_FORMAT, SEIPA_next_ev(), SUDS_FORMAT, SUDSPA_next_ev(), TANK_FORMAT, and TANKPA_next_ev().